GNU bug report logs - #7779
Miserable widget completion for type 'directory on w32

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Lennart Borgman <lennart.borgman@HIDDEN>; dated Mon, 3 Jan 2011 20:54:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 7779 <at> debbugs.gnu.org:


Received: (at 7779) by debbugs.gnu.org; 4 Jul 2011 02:59:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 22:59:48 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdZNz-0005G9-Pp
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 22:59:47 -0400
Received: from mail-pz0-f44.google.com ([209.85.210.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lekktu@HIDDEN>) id 1QdZNy-0005Fu-5M
	for 7779 <at> debbugs.gnu.org; Sun, 03 Jul 2011 22:59:46 -0400
Received: by pzk5 with SMTP id 5so232124pzk.3
	for <7779 <at> debbugs.gnu.org>; Sun, 03 Jul 2011 19:59:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	bh=rDczl5Mtgoriamd7ZvEL2/imktabG7S7Bkyx8iZ6O6I=;
	b=G4HUahwBTAlinj1WK/qspCYC0FUw9yyjRvCwMDwu4G4MqPAQoxDyoSWG68BxNGlLK6
	HIg5h45FRkPfVVCE0vE65ncKMMxcwlv+oTahHopQgN/nOJZ+7FzqsABOMW4coz47LXYb
	mjJkcE2FF8btzZvYWVLQRb0xLpRWknEJ8tp8w=
Received: by 10.143.12.16 with SMTP id p16mr2628658wfi.50.1309748380181; Sun,
	03 Jul 2011 19:59:40 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.142.48.6 with HTTP; Sun, 3 Jul 2011 19:59:00 -0700 (PDT)
In-Reply-To: <CANbX367A3YAw0FrZhzSfMtFomL=6Y8wRcH_dz2+oooq_bvKxwQ@HIDDEN>
References: <AANLkTinGGTbp4ub5jchzDDew_uFEY_oPxhvGocjo-_2G@HIDDEN>
	<CAAeL0SQvN0CJX1bM56d-UhJp-x1eqAnwSiC3sn4=aq3KQmVxBg@HIDDEN>
	<CANbX364-zr0Fg9ahGcu+JfTw9PYdst-m=1Cu+Ze1q3FHFyPO7g@HIDDEN>
	<CAAeL0SRJOys28uJaZ6MAa_-gYe6vCgwuT_9AFjgP-NZnifWv-A@HIDDEN>
	<CANbX364+EnMkstpD+vh2yssfKW66KL-ku6KgLrpUPh8YGskSwg@HIDDEN>
	<CAAeL0SQXoG_fSqr8N9LBzBvu9dipMk=CkG+SP7G9AYF0nSAqBQ@HIDDEN>
	<CANbX365Gy1sZ+RMH7LYgpnX7zObGY7zOUJk0oEpayPPujPyWag@HIDDEN>
	<CAAeL0SSm5gPqscFXnGEPcsYz+E8sNup_VoiaYh=UT+56qqD-kg@HIDDEN>
	<CANbX3663dVtySUjqbvN5ZuQjbfdDUGZku88-pLkEOUQgYSyPAA@HIDDEN>
	<CANbX367A3YAw0FrZhzSfMtFomL=6Y8wRcH_dz2+oooq_bvKxwQ@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 4 Jul 2011 04:59:00 +0200
Message-ID: <CAAeL0SRdM57bDMXiXndoXUfSk+=qXFeBLpgEyDvzCnwVuzRhLQ@HIDDEN>
Subject: Re: bug#7779: Miserable widget completion for type 'directory on w32
To: Lennart Borgman <lennart.borgman@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 7779
Cc: 7779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.3 (---)

On Mon, Jul 4, 2011 at 03:35, Lennart Borgman <lennart.borgman@HIDDEN> w=
rote:

> After this I tried "c:/E". I have directories started with "c:/E" and
> "c:/e". I only got those with "c:/e" (and some other things that
> should not match at all).

It's a bit weird, yes. Sometimes it is "completing" all E's *and* all
directories, sometimes it does it right (but always case sensitive).
Definitely a bug, I'd say.

=C2=A0 =C2=A0 Juanma




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7779; Package emacs. Full text available.

Message received at 7779 <at> debbugs.gnu.org:


Received: (at 7779) by debbugs.gnu.org; 4 Jul 2011 01:36:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 21:36:07 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdY50-0001yC-JI
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 21:36:07 -0400
Received: from mail-ey0-f172.google.com ([209.85.215.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1QdY4y-0001xh-9B
	for 7779 <at> debbugs.gnu.org; Sun, 03 Jul 2011 21:36:05 -0400
Received: by eye13 with SMTP id 13so1944884eye.3
	for <7779 <at> debbugs.gnu.org>; Sun, 03 Jul 2011 18:35:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	bh=R9W8bvwSyLZgkGE3+9BCXZ3q3Ye8m2jK9DlXjITIMTY=;
	b=uhEG9I2eFBtUhaVYncYbYh8DBClKoIw2TnaKP4ZXitobcCTeZGSF1R6+68ygmtlwqi
	SUs0HkVoBU7deFrz3/heykygmjJKszDY+AEXofjirYDwYpPgoeuQljHXt60uehv1nkZ7
	/6oCQsr2YKdxI8w8zALfk+B+9z20NoOvxHuUE=
Received: by 10.213.114.66 with SMTP id d2mr1599705ebq.102.1309743358365; Sun,
	03 Jul 2011 18:35:58 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.213.7.84 with HTTP; Sun, 3 Jul 2011 18:35:38 -0700 (PDT)
In-Reply-To: <CANbX3663dVtySUjqbvN5ZuQjbfdDUGZku88-pLkEOUQgYSyPAA@HIDDEN>
References: <AANLkTinGGTbp4ub5jchzDDew_uFEY_oPxhvGocjo-_2G@HIDDEN>
	<CAAeL0SQvN0CJX1bM56d-UhJp-x1eqAnwSiC3sn4=aq3KQmVxBg@HIDDEN>
	<CANbX364-zr0Fg9ahGcu+JfTw9PYdst-m=1Cu+Ze1q3FHFyPO7g@HIDDEN>
	<CAAeL0SRJOys28uJaZ6MAa_-gYe6vCgwuT_9AFjgP-NZnifWv-A@HIDDEN>
	<CANbX364+EnMkstpD+vh2yssfKW66KL-ku6KgLrpUPh8YGskSwg@HIDDEN>
	<CAAeL0SQXoG_fSqr8N9LBzBvu9dipMk=CkG+SP7G9AYF0nSAqBQ@HIDDEN>
	<CANbX365Gy1sZ+RMH7LYgpnX7zObGY7zOUJk0oEpayPPujPyWag@HIDDEN>
	<CAAeL0SSm5gPqscFXnGEPcsYz+E8sNup_VoiaYh=UT+56qqD-kg@HIDDEN>
	<CANbX3663dVtySUjqbvN5ZuQjbfdDUGZku88-pLkEOUQgYSyPAA@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 4 Jul 2011 03:35:38 +0200
Message-ID: <CANbX367A3YAw0FrZhzSfMtFomL=6Y8wRcH_dz2+oooq_bvKxwQ@HIDDEN>
Subject: Re: bug#7779: Miserable widget completion for type 'directory on w32
To: Juanma Barranquero <lekktu@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 7779
Cc: 7779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

>> Yes. *AND* provide a precise, step-by-step recipe, starting from
>> "emacs -Q" (with stock Emacs, not your patched version), and
>> explaining clearly what you do get and what do you expected to get.

I wrote before:

  "- The completion is case sensitive. However the file system is case
  insensitive on w32."

Testing now with downloaded binaries emacs-20110627-bin-i386.zip
completion behaves even more strange. Try this:

  emacs -Q
  M-x load-library RET eshell RET
  M-x customize-option RET eshell-directory-name RET

Then enter "c:/" in the directory field and do

  M-x widget-complete

I would expect that to return the directory names.

After this I tried "c:/E". I have directories started with "c:/E" and
"c:/e". I only got those with "c:/e" (and some other things that
should not match at all).




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7779; Package emacs. Full text available.

Message received at 7779 <at> debbugs.gnu.org:


Received: (at 7779) by debbugs.gnu.org; 3 Jul 2011 23:32:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 19:32:12 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdW96-0007es-0c
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 19:32:12 -0400
Received: from mail-pz0-f44.google.com ([209.85.210.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lekktu@HIDDEN>) id 1QdW94-0007ef-35
	for 7779 <at> debbugs.gnu.org; Sun, 03 Jul 2011 19:32:10 -0400
Received: by pzk5 with SMTP id 5so138448pzk.3
	for <7779 <at> debbugs.gnu.org>; Sun, 03 Jul 2011 16:32:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	bh=ciLvBADWRZXbovmOrV6CTGQGSn04rFWysnhVIXNinck=;
	b=XnpuUeTjZDi96GJTWz1lHD4+gp+9Jp4wK4glm9ZF7AwDtcff5Yh83W+0ZiQX6unNiY
	UHtRaB39bm7JYTsTJ5s1FIq7Wan34g9bROY/eOZ/EcHaT3jJYk9YhzShfLSQpK1eBLLa
	/bHSj9WcSzDJ+sw7dE67ovo6LDDXhzbCfk6eM=
Received: by 10.143.66.15 with SMTP id t15mr2514714wfk.278.1309735924075; Sun,
	03 Jul 2011 16:32:04 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.142.48.6 with HTTP; Sun, 3 Jul 2011 16:31:24 -0700 (PDT)
In-Reply-To: <CANbX3663dVtySUjqbvN5ZuQjbfdDUGZku88-pLkEOUQgYSyPAA@HIDDEN>
References: <AANLkTinGGTbp4ub5jchzDDew_uFEY_oPxhvGocjo-_2G@HIDDEN>
	<CAAeL0SQvN0CJX1bM56d-UhJp-x1eqAnwSiC3sn4=aq3KQmVxBg@HIDDEN>
	<CANbX364-zr0Fg9ahGcu+JfTw9PYdst-m=1Cu+Ze1q3FHFyPO7g@HIDDEN>
	<CAAeL0SRJOys28uJaZ6MAa_-gYe6vCgwuT_9AFjgP-NZnifWv-A@HIDDEN>
	<CANbX364+EnMkstpD+vh2yssfKW66KL-ku6KgLrpUPh8YGskSwg@HIDDEN>
	<CAAeL0SQXoG_fSqr8N9LBzBvu9dipMk=CkG+SP7G9AYF0nSAqBQ@HIDDEN>
	<CANbX365Gy1sZ+RMH7LYgpnX7zObGY7zOUJk0oEpayPPujPyWag@HIDDEN>
	<CAAeL0SSm5gPqscFXnGEPcsYz+E8sNup_VoiaYh=UT+56qqD-kg@HIDDEN>
	<CANbX3663dVtySUjqbvN5ZuQjbfdDUGZku88-pLkEOUQgYSyPAA@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 4 Jul 2011 01:31:24 +0200
Message-ID: <CAAeL0SR1toP2WokXmL1brq7yA7tuYZa8RqO+k4e5ojWtQ=ys7Q@HIDDEN>
Subject: Re: bug#7779: Miserable widget completion for type 'directory on w32
To: Lennart Borgman <lennart.borgman@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 7779
Cc: 7779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.3 (---)

On Mon, Jul 4, 2011 at 01:23, Lennart Borgman <lennart.borgman@HIDDEN> w=
rote:

> I can do that later. This binding (S-ESC) is trivial, but I do not
> know the state of the completion functions now.

OK, thanks.

> I just have to find the binaries as I said in another thread ... ;-)

I just sent the info in the other thread.

> Have you tried it?

No.

=C2=A0 =C2=A0 Juanma




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7779; Package emacs. Full text available.

Message received at 7779 <at> debbugs.gnu.org:


Received: (at 7779) by debbugs.gnu.org; 3 Jul 2011 23:23:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 19:23:47 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdW0w-0006b9-Kv
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 19:23:47 -0400
Received: from mail-ey0-f172.google.com ([209.85.215.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1QdW0u-0006ax-9L
	for 7779 <at> debbugs.gnu.org; Sun, 03 Jul 2011 19:23:45 -0400
Received: by eye13 with SMTP id 13so1925599eye.3
	for <7779 <at> debbugs.gnu.org>; Sun, 03 Jul 2011 16:23:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	bh=aPk/mtEcm9CydiQm6V7rP3MJ3YcXs+Iqg26iU/IuJzs=;
	b=BmE2C+dD9WpVaUeIwIl+hN4ywTg2aCQf+49rQCQEGKolTudYDPnLFr4LPWR1JcZgoB
	HqtKSQhjK76T17sP80JqBFc5pX14IliG3YrCXiJteIZlROmjap3EkDsosjsQo42zfHHU
	2JXE6xR6RXwUt97nWBJGdHSz2pyfEBwynUbIw=
Received: by 10.213.20.200 with SMTP id g8mr1652425ebb.140.1309735417295; Sun,
	03 Jul 2011 16:23:37 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.213.7.84 with HTTP; Sun, 3 Jul 2011 16:23:17 -0700 (PDT)
In-Reply-To: <CAAeL0SSm5gPqscFXnGEPcsYz+E8sNup_VoiaYh=UT+56qqD-kg@HIDDEN>
References: <AANLkTinGGTbp4ub5jchzDDew_uFEY_oPxhvGocjo-_2G@HIDDEN>
	<CAAeL0SQvN0CJX1bM56d-UhJp-x1eqAnwSiC3sn4=aq3KQmVxBg@HIDDEN>
	<CANbX364-zr0Fg9ahGcu+JfTw9PYdst-m=1Cu+Ze1q3FHFyPO7g@HIDDEN>
	<CAAeL0SRJOys28uJaZ6MAa_-gYe6vCgwuT_9AFjgP-NZnifWv-A@HIDDEN>
	<CANbX364+EnMkstpD+vh2yssfKW66KL-ku6KgLrpUPh8YGskSwg@HIDDEN>
	<CAAeL0SQXoG_fSqr8N9LBzBvu9dipMk=CkG+SP7G9AYF0nSAqBQ@HIDDEN>
	<CANbX365Gy1sZ+RMH7LYgpnX7zObGY7zOUJk0oEpayPPujPyWag@HIDDEN>
	<CAAeL0SSm5gPqscFXnGEPcsYz+E8sNup_VoiaYh=UT+56qqD-kg@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 4 Jul 2011 01:23:17 +0200
Message-ID: <CANbX3663dVtySUjqbvN5ZuQjbfdDUGZku88-pLkEOUQgYSyPAA@HIDDEN>
Subject: Re: bug#7779: Miserable widget completion for type 'directory on w32
To: Juanma Barranquero <lekktu@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 7779
Cc: 7779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On Mon, Jul 4, 2011 at 01:04, Juanma Barranquero <lekktu@HIDDEN> wrote:
> On Mon, Jul 4, 2011 at 00:56, Lennart Borgman <lennart.borgman@HIDDEN>=
 wrote:
>
>> So S-ESC could be used with both default Emacs bindings and in Viper mod=
e.
>>
>> Yes, I was proposing a change, but I think this should be discussed
>> more.
>
> OK, so we have a keybinding that you could use in Viper, and you want
> to propose a change. Care to do that in emacs-devel? (I don't think it
> will be accepted, but we'll be able to reach a consensus of what to do
> with Viper, I hope).

I can do that later. This binding (S-ESC) is trivial, but I do not
know the state of the completion functions now.

>> Oh, sorry I missed that one. So you want me to test this with the
>> latest build?
>
> Yes. *AND* provide a precise, step-by-step recipe, starting from
> "emacs -Q" (with stock Emacs, not your patched version), and
> explaining clearly what you do get and what do you expected to get.

I just have to find the binaries as I said in another thread ... ;-)

>> =C2=A0(BTW I see problems with my w32 build on Windows 7
>> 64-bit.
>
> I don't see problems with stock Emacs on Windows 7 64-bit. If you're
> able to reproduce these problems with the standard Emacs, could you
> please file bug reports for them? (Again: with recipes and clear
> explanations, which you often overlook.)

Might be a problem with the old 32-bit compiler I used that shows up.

>> Should we perhaps provide 64-bit binaries? Can we?)
>
> It woud be nice, yes, but so far as I know, no one is working on
> building a 64-bit Windows Emacs. It isn't trivial, it's not just a
> matter of using a 64-bit compiler. But you are welcome to download,
> for example, the Twilight Dragon Media 64-bit build of GCC
> (http://tdm-gcc.tdragon.net/) and try it.

Thanks. Have you tried it? What problems did you see?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7779; Package emacs. Full text available.

Message received at 7779 <at> debbugs.gnu.org:


Received: (at 7779) by debbugs.gnu.org; 3 Jul 2011 23:05:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 19:05:04 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdVip-00069y-Oo
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 19:05:04 -0400
Received: from mail-pz0-f44.google.com ([209.85.210.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lekktu@HIDDEN>) id 1QdVio-00069T-4D
	for 7779 <at> debbugs.gnu.org; Sun, 03 Jul 2011 19:05:02 -0400
Received: by pzk5 with SMTP id 5so127192pzk.3
	for <7779 <at> debbugs.gnu.org>; Sun, 03 Jul 2011 16:04:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	bh=AdB7/k+Nk/WokZ0czfMO8ikOCQjQRSi//DzzUIxmpq0=;
	b=EyEXU1zoXMYlDkwB6hhiWSGOQSNuu5AveWVC0Akciw57nMnOLA8UKEdGNupBuBGUT9
	jNxvBndwDuDLnRNpfGIKCbZUELKNEsdF4TmxRjlJVonei0me8YR4TJqB784TDkfmL6lh
	63H3JMCRHS+00M3QWtja3EsMFdPXV/4CAfIHc=
Received: by 10.142.215.15 with SMTP id n15mr194905wfg.107.1309734296069; Sun,
	03 Jul 2011 16:04:56 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.142.48.6 with HTTP; Sun, 3 Jul 2011 16:04:15 -0700 (PDT)
In-Reply-To: <CANbX365Gy1sZ+RMH7LYgpnX7zObGY7zOUJk0oEpayPPujPyWag@HIDDEN>
References: <AANLkTinGGTbp4ub5jchzDDew_uFEY_oPxhvGocjo-_2G@HIDDEN>
	<CAAeL0SQvN0CJX1bM56d-UhJp-x1eqAnwSiC3sn4=aq3KQmVxBg@HIDDEN>
	<CANbX364-zr0Fg9ahGcu+JfTw9PYdst-m=1Cu+Ze1q3FHFyPO7g@HIDDEN>
	<CAAeL0SRJOys28uJaZ6MAa_-gYe6vCgwuT_9AFjgP-NZnifWv-A@HIDDEN>
	<CANbX364+EnMkstpD+vh2yssfKW66KL-ku6KgLrpUPh8YGskSwg@HIDDEN>
	<CAAeL0SQXoG_fSqr8N9LBzBvu9dipMk=CkG+SP7G9AYF0nSAqBQ@HIDDEN>
	<CANbX365Gy1sZ+RMH7LYgpnX7zObGY7zOUJk0oEpayPPujPyWag@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 4 Jul 2011 01:04:15 +0200
Message-ID: <CAAeL0SSm5gPqscFXnGEPcsYz+E8sNup_VoiaYh=UT+56qqD-kg@HIDDEN>
Subject: Re: bug#7779: Miserable widget completion for type 'directory on w32
To: Lennart Borgman <lennart.borgman@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 7779
Cc: 7779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.3 (---)

On Mon, Jul 4, 2011 at 00:56, Lennart Borgman <lennart.borgman@HIDDEN> w=
rote:

> So S-ESC could be used with both default Emacs bindings and in Viper mode=
.
>
> Yes, I was proposing a change, but I think this should be discussed
> more.

OK, so we have a keybinding that you could use in Viper, and you want
to propose a change. Care to do that in emacs-devel? (I don't think it
will be accepted, but we'll be able to reach a consensus of what to do
with Viper, I hope).

> Oh, sorry I missed that one. So you want me to test this with the
> latest build?

Yes. *AND* provide a precise, step-by-step recipe, starting from
"emacs -Q" (with stock Emacs, not your patched version), and
explaining clearly what you do get and what do you expected to get.

>  (BTW I see problems with my w32 build on Windows 7
> 64-bit.

I don't see problems with stock Emacs on Windows 7 64-bit. If you're
able to reproduce these problems with the standard Emacs, could you
please file bug reports for them? (Again: with recipes and clear
explanations, which you often overlook.)

> Should we perhaps provide 64-bit binaries? Can we?)

It woud be nice, yes, but so far as I know, no one is working on
building a 64-bit Windows Emacs. It isn't trivial, it's not just a
matter of using a 64-bit compiler. But you are welcome to download,
for example, the Twilight Dragon Media 64-bit build of GCC
(http://tdm-gcc.tdragon.net/) and try it.

=C2=A0 =C2=A0 Juanma




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7779; Package emacs. Full text available.

Message received at 7779 <at> debbugs.gnu.org:


Received: (at 7779) by debbugs.gnu.org; 3 Jul 2011 22:57:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 18:57:25 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdVbR-00059n-3d
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 18:57:25 -0400
Received: from mail-ey0-f172.google.com ([209.85.215.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1QdVbP-00059a-34
	for 7779 <at> debbugs.gnu.org; Sun, 03 Jul 2011 18:57:23 -0400
Received: by eye13 with SMTP id 13so1921907eye.3
	for <7779 <at> debbugs.gnu.org>; Sun, 03 Jul 2011 15:57:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	bh=iBXzNnVcynpDrdHOyIH8HO+J5qT0I9llhIHXm1QijMU=;
	b=rU4mrm57/urdUKr99Rr8MwAUyo+LLxAbyC4MUIyzeb25Q0UOJoGSLDMPG/K4tpUeYI
	yBCT2dYilbmLW8OK4JnqytJpH6i3ciE9vwLWi0Fw7BM1qo4fz92AqCOwSLZaW6uesAPU
	zqHlwaTYrA6D+n8LbapqPxzSJrCaPqAB6YhG4=
Received: by 10.213.114.66 with SMTP id d2mr1576130ebq.102.1309733837136; Sun,
	03 Jul 2011 15:57:17 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.213.7.84 with HTTP; Sun, 3 Jul 2011 15:56:57 -0700 (PDT)
In-Reply-To: <CAAeL0SQXoG_fSqr8N9LBzBvu9dipMk=CkG+SP7G9AYF0nSAqBQ@HIDDEN>
References: <AANLkTinGGTbp4ub5jchzDDew_uFEY_oPxhvGocjo-_2G@HIDDEN>
	<CAAeL0SQvN0CJX1bM56d-UhJp-x1eqAnwSiC3sn4=aq3KQmVxBg@HIDDEN>
	<CANbX364-zr0Fg9ahGcu+JfTw9PYdst-m=1Cu+Ze1q3FHFyPO7g@HIDDEN>
	<CAAeL0SRJOys28uJaZ6MAa_-gYe6vCgwuT_9AFjgP-NZnifWv-A@HIDDEN>
	<CANbX364+EnMkstpD+vh2yssfKW66KL-ku6KgLrpUPh8YGskSwg@HIDDEN>
	<CAAeL0SQXoG_fSqr8N9LBzBvu9dipMk=CkG+SP7G9AYF0nSAqBQ@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 4 Jul 2011 00:56:57 +0200
Message-ID: <CANbX365Gy1sZ+RMH7LYgpnX7zObGY7zOUJk0oEpayPPujPyWag@HIDDEN>
Subject: Re: bug#7779: Miserable widget completion for type 'directory on w32
To: Juanma Barranquero <lekktu@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 7779
Cc: 7779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On Mon, Jul 4, 2011 at 00:42, Juanma Barranquero <lekktu@HIDDEN> wrote:
> On Mon, Jul 4, 2011 at 00:31, Lennart Borgman <lennart.borgman@HIDDEN> wrote:
>
>> ESC is the only "control char" that I am using of those vi recognize
>> as its own. (The other are less important.)
>>
>> I suggest finding a key sequence in Emacs that does not use M (Alt).
>> TAB by itself seems to be the favorite on EmacsWiki. Maybe use two
>> fast TABs for it by default. And have C-RET as backup?
>
> Are you proposing changing the default binding? I don't think users
> used to the current binding should be penalized for the needs of
> Viper. If anything, an expert Viper user like you will surely know how
> to integrate a new keybinding into Viper. It is possible to bind
> shift-Esc to work from the input state?

I just tried these and they work (the states are called "vi" and
"insert" - my bad):

(define-key viper-vi-intercept-map [(shift escape)] (lambda ()
(interactive) (message "you pushed shift esc"))) ;; vi state
(define-key viper-insert-intercept-map [(shift escape)] (lambda ()
(interactive) (message "you pushed shift esc"))) ;; insert state

So S-ESC could be used with both default Emacs bindings and in Viper mode.

Yes, I was proposing a change, but I think this should be discussed
more. The main problem is that there are a lot of different
completions. (Something I tried to address experimentally in
tabkey2.el in nXhtml.)

> And, you still haven't answered the other question: do you still get
> case sensitive completion of directories?

Oh, sorry I missed that one. So you want me to test this with the
latest build? (BTW I see problems with my w32 build on Windows 7
64-bit. Should we perhaps provide 64-bit binaries? Can we?)




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7779; Package emacs. Full text available.

Message received at 7779 <at> debbugs.gnu.org:


Received: (at 7779) by debbugs.gnu.org; 3 Jul 2011 22:43:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 18:43:33 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdVO0-0004pu-Fu
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 18:43:32 -0400
Received: from mail-pz0-f44.google.com ([209.85.210.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lekktu@HIDDEN>) id 1QdVNy-0004pf-CO
	for 7779 <at> debbugs.gnu.org; Sun, 03 Jul 2011 18:43:31 -0400
Received: by pzk5 with SMTP id 5so118362pzk.3
	for <7779 <at> debbugs.gnu.org>; Sun, 03 Jul 2011 15:43:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	bh=21OnbN74KN3X2U7Q+PVPLOV7EKCEJ4kIRNp/3Tv7Ky4=;
	b=n30Er1iCGD3yh7zPsSJzmEzSnJ62oPo1gIlnJCZFEbw+OiqGXn/ipxwCHubO9QhJXt
	O2PKMcwjDjntaLRCF++uXpELSZmix28PNgkLxmc/VEYe+GOd7U1MuLfwqFJMKuQMS86t
	8I4wr5jgIYrR5VEejdi3o3qVE6xpPYkTU8VII=
Received: by 10.143.66.15 with SMTP id t15mr2498710wfk.278.1309733004198; Sun,
	03 Jul 2011 15:43:24 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.142.48.6 with HTTP; Sun, 3 Jul 2011 15:42:44 -0700 (PDT)
In-Reply-To: <CANbX364+EnMkstpD+vh2yssfKW66KL-ku6KgLrpUPh8YGskSwg@HIDDEN>
References: <AANLkTinGGTbp4ub5jchzDDew_uFEY_oPxhvGocjo-_2G@HIDDEN>
	<CAAeL0SQvN0CJX1bM56d-UhJp-x1eqAnwSiC3sn4=aq3KQmVxBg@HIDDEN>
	<CANbX364-zr0Fg9ahGcu+JfTw9PYdst-m=1Cu+Ze1q3FHFyPO7g@HIDDEN>
	<CAAeL0SRJOys28uJaZ6MAa_-gYe6vCgwuT_9AFjgP-NZnifWv-A@HIDDEN>
	<CANbX364+EnMkstpD+vh2yssfKW66KL-ku6KgLrpUPh8YGskSwg@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 4 Jul 2011 00:42:44 +0200
Message-ID: <CAAeL0SQXoG_fSqr8N9LBzBvu9dipMk=CkG+SP7G9AYF0nSAqBQ@HIDDEN>
Subject: Re: bug#7779: Miserable widget completion for type 'directory on w32
To: Lennart Borgman <lennart.borgman@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 7779
Cc: 7779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.3 (---)

On Mon, Jul 4, 2011 at 00:31, Lennart Borgman <lennart.borgman@HIDDEN> w=
rote:

> ESC is the only "control char" that I am using of those vi recognize
> as its own. (The other are less important.)
>
> I suggest finding a key sequence in Emacs that does not use M (Alt).
> TAB by itself seems to be the favorite on EmacsWiki. Maybe use two
> fast TABs for it by default. And have C-RET as backup?

Are you proposing changing the default binding? I don't think users
used to the current binding should be penalized for the needs of
Viper. If anything, an expert Viper user like you will surely know how
to integrate a new keybinding into Viper. It is possible to bind
shift-Esc to work from the input state?

And, you still haven't answered the other question: do you still get
case sensitive completion of directories?


--=20
=C2=A0 =C2=A0 Juanma




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7779; Package emacs. Full text available.

Message received at 7779 <at> debbugs.gnu.org:


Received: (at 7779) by debbugs.gnu.org; 3 Jul 2011 22:32:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 18:32:15 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdVD4-0004Xz-6G
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 18:32:14 -0400
Received: from mail-ew0-f44.google.com ([209.85.215.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1QdVD3-0004Xm-2P
	for 7779 <at> debbugs.gnu.org; Sun, 03 Jul 2011 18:32:13 -0400
Received: by ewy19 with SMTP id 19so1927194ewy.3
	for <7779 <at> debbugs.gnu.org>; Sun, 03 Jul 2011 15:32:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	bh=A5AIl58R8aWKbweYy8EVhqoNvJFeDNlsKBB1zdX0E88=;
	b=YkejcnsN62nNLOhxZ3XzdennoHQfEHlTSIl4ygb927QDSRAs/Phm/1Y+BX7o5IKoFr
	77nvNqR3kDtS23CRxGv+d8ydMeHXnob/m6znfmDbUfaBQPyxk6xkdtcFlO46y+WghDuW
	PNCRALvtsoU+Sz/pBBVUCGnsOLrgebOcfNjI8=
Received: by 10.213.114.66 with SMTP id d2mr1572759ebq.102.1309732327109; Sun,
	03 Jul 2011 15:32:07 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.213.7.84 with HTTP; Sun, 3 Jul 2011 15:31:47 -0700 (PDT)
In-Reply-To: <CAAeL0SRJOys28uJaZ6MAa_-gYe6vCgwuT_9AFjgP-NZnifWv-A@HIDDEN>
References: <AANLkTinGGTbp4ub5jchzDDew_uFEY_oPxhvGocjo-_2G@HIDDEN>
	<CAAeL0SQvN0CJX1bM56d-UhJp-x1eqAnwSiC3sn4=aq3KQmVxBg@HIDDEN>
	<CANbX364-zr0Fg9ahGcu+JfTw9PYdst-m=1Cu+Ze1q3FHFyPO7g@HIDDEN>
	<CAAeL0SRJOys28uJaZ6MAa_-gYe6vCgwuT_9AFjgP-NZnifWv-A@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 4 Jul 2011 00:31:47 +0200
Message-ID: <CANbX364+EnMkstpD+vh2yssfKW66KL-ku6KgLrpUPh8YGskSwg@HIDDEN>
Subject: Re: bug#7779: Miserable widget completion for type 'directory on w32
To: Juanma Barranquero <lekktu@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 7779
Cc: 7779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On Sun, Jul 3, 2011 at 20:52, Juanma Barranquero <lekktu@HIDDEN> wrote:
> On Sun, Jul 3, 2011 at 20:48, Lennart Borgman <lennart.borgman@HIDDEN> wrote:
>
>>> It is? Can you show a test case?
>>>
>>>> - widget-complete is bound to M-TAB. This is by default bound to
>>>> Alt-Tab which is not available to applications on w32.
>>>
>>> But you can use <ESC><TAB>, like you yourself discuss in bug#8256.
>>
>> Didn't I say that you can't do that? If you use some vi emulation like Viper.
>
> Could you answer both questions, not only the second one?
>
> As for that, if M-TAB cannot be reliably used on Windows, and ESC-TAB
> cannot be used inside Viper, please propose an alternate binding for
> using inside Viper.

That might be a good suggestion, but I am not sure.

As everyone here no vi has two main states: input and command. Beside
that there are the normal Emacs key sequences states during input of
key sequences. (The clash between these states is why ESC-TAB can not
be used.)

For the "command" state the g key is unused. Using it directly would
be a waste, but a sequence beginning with g might be good.

But I am not very sure of the value of it since using it would require
switching to "command" state first. And I think you are most likely to
be in "input" mode if you want to do completion.

ESC is the only "control char" that I am using of those vi recognize
as its own. (The other are less important.)

I suggest finding a key sequence in Emacs that does not use M (Alt).
TAB by itself seems to be the favorite on EmacsWiki. Maybe use two
fast TABs for it by default. And have C-RET as backup?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7779; Package emacs. Full text available.

Message received at 7779 <at> debbugs.gnu.org:


Received: (at 7779) by debbugs.gnu.org; 3 Jul 2011 18:53:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 14:53:26 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdRnK-0003tq-CD
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 14:53:26 -0400
Received: from mail-pz0-f44.google.com ([209.85.210.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lekktu@HIDDEN>) id 1QdRnI-0003td-Fu
	for 7779 <at> debbugs.gnu.org; Sun, 03 Jul 2011 14:53:25 -0400
Received: by pzk5 with SMTP id 5so26402pzk.3
	for <7779 <at> debbugs.gnu.org>; Sun, 03 Jul 2011 11:53:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	bh=7Nk7Q+SXaubP1tGO8nn4PvMZiQzunx2jpCUPvwgXxmg=;
	b=e/E0ng4sXUrbi9xL3JnYEn0u0vmNPKfVO+BKNhq8QVWpEwVsNFilX5fj6XdoyGa56F
	L2Oo7VONbJYQEQe+lRA4oMGsZTCaVOcyv1BkL0dKqofLMBcsSIUKfuv4tFQgLq52cmIB
	+i7yci7j0ToEG2Z2c0/oR2l/H5IZJI3Awu96c=
Received: by 10.142.118.24 with SMTP id q24mr2395080wfc.392.1309719198417;
	Sun, 03 Jul 2011 11:53:18 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.142.48.6 with HTTP; Sun, 3 Jul 2011 11:52:37 -0700 (PDT)
In-Reply-To: <CANbX364-zr0Fg9ahGcu+JfTw9PYdst-m=1Cu+Ze1q3FHFyPO7g@HIDDEN>
References: <AANLkTinGGTbp4ub5jchzDDew_uFEY_oPxhvGocjo-_2G@HIDDEN>
	<CAAeL0SQvN0CJX1bM56d-UhJp-x1eqAnwSiC3sn4=aq3KQmVxBg@HIDDEN>
	<CANbX364-zr0Fg9ahGcu+JfTw9PYdst-m=1Cu+Ze1q3FHFyPO7g@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Sun, 3 Jul 2011 20:52:37 +0200
Message-ID: <CAAeL0SRJOys28uJaZ6MAa_-gYe6vCgwuT_9AFjgP-NZnifWv-A@HIDDEN>
Subject: Re: bug#7779: Miserable widget completion for type 'directory on w32
To: Lennart Borgman <lennart.borgman@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 7779
Cc: 7779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.3 (---)

On Sun, Jul 3, 2011 at 20:48, Lennart Borgman <lennart.borgman@HIDDEN> w=
rote:

>> It is? Can you show a test case?
>>
>>> - widget-complete is bound to M-TAB. This is by default bound to
>>> Alt-Tab which is not available to applications on w32.
>>
>> But you can use <ESC><TAB>, like you yourself discuss in bug#8256.
>
> Didn't I say that you can't do that? If you use some vi emulation like Vi=
per.

Could you answer both questions, not only the second one?

As for that, if M-TAB cannot be reliably used on Windows, and ESC-TAB
cannot be used inside Viper, please propose an alternate binding for
using inside Viper.

=C2=A0 =C2=A0 Juanma




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7779; Package emacs. Full text available.

Message received at 7779 <at> debbugs.gnu.org:


Received: (at 7779) by debbugs.gnu.org; 3 Jul 2011 18:49:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 14:49:16 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdRjI-0003nN-HP
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 14:49:16 -0400
Received: from mail-ey0-f172.google.com ([209.85.215.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1QdRjH-0003nA-0S
	for 7779 <at> debbugs.gnu.org; Sun, 03 Jul 2011 14:49:15 -0400
Received: by eye13 with SMTP id 13so1882827eye.3
	for <7779 <at> debbugs.gnu.org>; Sun, 03 Jul 2011 11:49:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	bh=ER1feoVGi7wv4BSsQsgy2Vb/pYdNruHGe8wGh+h8g5U=;
	b=RObPBRB4jsKx10zawrkUKSiAAEDVXuP8ThPonU+muIGXphq3MNFYpq1eZMNKE22mxF
	M48M3MoNmn4hEPvKeuUP8FrSuAFde5kEZR//ZPG626o7nsSucEmu+6DcNiWt2uIsXEc8
	6qx1PEXcWeqggsWkndcxt6j25UnWJXPRNZiPc=
Received: by 10.213.35.202 with SMTP id q10mr1176985ebd.64.1309718949217; Sun,
	03 Jul 2011 11:49:09 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.213.7.84 with HTTP; Sun, 3 Jul 2011 11:48:49 -0700 (PDT)
In-Reply-To: <CAAeL0SQvN0CJX1bM56d-UhJp-x1eqAnwSiC3sn4=aq3KQmVxBg@HIDDEN>
References: <AANLkTinGGTbp4ub5jchzDDew_uFEY_oPxhvGocjo-_2G@HIDDEN>
	<CAAeL0SQvN0CJX1bM56d-UhJp-x1eqAnwSiC3sn4=aq3KQmVxBg@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Sun, 3 Jul 2011 20:48:49 +0200
Message-ID: <CANbX364-zr0Fg9ahGcu+JfTw9PYdst-m=1Cu+Ze1q3FHFyPO7g@HIDDEN>
Subject: Re: bug#7779: Miserable widget completion for type 'directory on w32
To: Juanma Barranquero <lekktu@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 7779
Cc: 7779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On Sun, Jul 3, 2011 at 20:44, Juanma Barranquero <lekktu@HIDDEN> wrote:
> On Mon, Jan 3, 2011 at 22:00, Lennart Borgman <lennart.borgman@HIDDEN> wrote:
>
>> - The completion is case sensitive.
>
> It is? Can you show a test case?
>
>> - widget-complete is bound to M-TAB. This is by default bound to
>> Alt-Tab which is not available to applications on w32.
>
> But you can use <ESC><TAB>, like you yourself discuss in bug#8256.

Didn't I say that you can't do that? If you use some vi emulation like Viper.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7779; Package emacs. Full text available.

Message received at 7779 <at> debbugs.gnu.org:


Received: (at 7779) by debbugs.gnu.org; 3 Jul 2011 18:45:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 14:45:22 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdRfV-0003OX-Ro
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 14:45:22 -0400
Received: from mail-pz0-f44.google.com ([209.85.210.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lekktu@HIDDEN>) id 1QdRfT-0003BT-Jp
	for 7779 <at> debbugs.gnu.org; Sun, 03 Jul 2011 14:45:20 -0400
Received: by pzk5 with SMTP id 5so23162pzk.3
	for <7779 <at> debbugs.gnu.org>; Sun, 03 Jul 2011 11:45:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	bh=QzqrGDUBKF8Yl/YyF5JbyCXV3J7bbJQBVr+9GW05j68=;
	b=pnKoiFGANduCpgA5HnKeVO+7UhTgRQfqPyn0flgS5c7A6DDf2atzsAb/949AUwkHJs
	kErQ7GIw8MSFeYP+7RL4jcAO6KG47IZoHFJNz8MjmrG83qsVNDeQNbCpdsYOC/x6k7wF
	kFyzFv//Xbh/PDdt+76ypTJXGAGtqqLxnU8Rw=
Received: by 10.143.43.15 with SMTP id v15mr2440440wfj.164.1309718713108; Sun,
	03 Jul 2011 11:45:13 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.142.48.6 with HTTP; Sun, 3 Jul 2011 11:44:33 -0700 (PDT)
In-Reply-To: <AANLkTinGGTbp4ub5jchzDDew_uFEY_oPxhvGocjo-_2G@HIDDEN>
References: <AANLkTinGGTbp4ub5jchzDDew_uFEY_oPxhvGocjo-_2G@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Sun, 3 Jul 2011 20:44:33 +0200
Message-ID: <CAAeL0SQvN0CJX1bM56d-UhJp-x1eqAnwSiC3sn4=aq3KQmVxBg@HIDDEN>
Subject: Re: bug#7779: Miserable widget completion for type 'directory on w32
To: Lennart Borgman <lennart.borgman@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 7779
Cc: 7779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.3 (---)

On Mon, Jan 3, 2011 at 22:00, Lennart Borgman <lennart.borgman@HIDDEN> w=
rote:

> - The completion is case sensitive.

It is? Can you show a test case?

> - widget-complete is bound to M-TAB. This is by default bound to
> Alt-Tab which is not available to applications on w32.

But you can use <ESC><TAB>, like you yourself discuss in bug#8256.

=C2=A0 =C2=A0 Juanma




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7779; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Jan 2011 20:53:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 03 15:53:38 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PZrPO-0005LM-H7
	for submit <at> debbugs.gnu.org; Mon, 03 Jan 2011 15:53:38 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1PZrPL-0005L4-1i
	for submit <at> debbugs.gnu.org; Mon, 03 Jan 2011 15:53:35 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <lennart.borgman@HIDDEN>) id 1PZrWD-0005FG-4B
	for submit <at> debbugs.gnu.org; Mon, 03 Jan 2011 16:00:42 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW,RFC_ABUSE_POST,T_DKIM_INVALID autolearn=unavailable
	version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:36481)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <lennart.borgman@HIDDEN>) id 1PZrWD-0005FC-2D
	for submit <at> debbugs.gnu.org; Mon, 03 Jan 2011 16:00:41 -0500
Received: from [140.186.70.92] (port=39645 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PZrWB-0003QT-SI
	for bug-gnu-emacs@HIDDEN; Mon, 03 Jan 2011 16:00:40 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <lennart.borgman@HIDDEN>) id 1PZrWA-0005F1-Nq
	for bug-gnu-emacs@HIDDEN; Mon, 03 Jan 2011 16:00:39 -0500
Received: from mail-ey0-f169.google.com ([209.85.215.169]:47268)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <lennart.borgman@HIDDEN>) id 1PZrWA-0005Ex-I9
	for bug-gnu-emacs@HIDDEN; Mon, 03 Jan 2011 16:00:38 -0500
Received: by eyh6 with SMTP id 6so3009138eyh.0
	for <bug-gnu-emacs@HIDDEN>; Mon, 03 Jan 2011 13:00:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:from:date
	:message-id:subject:to:content-type;
	bh=ZanXbzavKjbT628c31Q1tMiSNx0X8kqx1lKHlpg0gF8=;
	b=IXbGMNnA6Csb94XqOgBqPal1BM+5RR7bWWnLkrjbK7F9TtLv/aB3XQDp5LR+8cMsng
	zvv4O/keQhB/7WW/XEb812+//hDZ9W7R9glkY/LcDGlFGFmJTNzFPZo4IOHuaG2fAZcR
	F1ifBFTbxBpm8NOgCWsQ9KAc+oAkJCuai662A=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:from:date:message-id:subject:to:content-type;
	b=ikSaU1pGoPrAGaO8upXeUOR5tTmamSm8hS+aIXE27iNyC6oNCs+7PfacnqDbdmIR9+
	HQkbY7v4THZFacFTOWGFfYa81QpzzwUyw2c9XE4MTvN4PTPC076iEUdz0QUNhS2vYRgP
	cGHHqWXip082xW9dHmfbQHSHR6+CO3RCnAn1k=
Received: by 10.213.28.12 with SMTP id k12mr5286140ebc.84.1294088437412; Mon,
	03 Jan 2011 13:00:37 -0800 (PST)
MIME-Version: 1.0
Received: by 10.213.20.148 with HTTP; Mon, 3 Jan 2011 13:00:17 -0800 (PST)
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 3 Jan 2011 22:00:17 +0100
Message-ID: <AANLkTinGGTbp4ub5jchzDDew_uFEY_oPxhvGocjo-_2G@HIDDEN>
Subject: Miserable widget completion for type 'directory on w32
To: Emacs Bugs <bug-gnu-emacs@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -4.7 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.7 (----)

Suppose you have a defcustom with a ":type 'directory". Then you are
supposed to be able to use widget-complete to make it easier to fill
in this list. There are (at least) two problems with this on w32:

- The completion is case sensitive. However the file system is case
insensitive on w32.

- widget-complete is bound to M-TAB. This is by default bound to
Alt-Tab which is not available to applications on w32.

GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600) of 2010-12-29 on LENNART-69DE564




Acknowledgement sent to Lennart Borgman <lennart.borgman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7779; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.